Loading...
Searching...
No Matches
_PidginImPane Struct Reference

A GTK+ representation of a graphical window containing one or more conversations. More...

`#include <gtkconv.h>`

## Data Fields

GtkWidget * | block
GtkWidget * | send_file
GtkWidget * | sep1
GtkWidget * | sep2
GtkWidget * | check
GtkWidget * | progress
guint32 | typing_timer
GtkWidget * | icon_container
GtkWidget * | icon
gboolean | show_icon
gboolean | animate
GdkPixbufAnimation * | anim
GdkPixbufAnimationIter * | iter
guint32 | icon_timer

## Detailed Description

A GTK+ representation of a graphical window containing one or more conversations.

A GTK+ Instant Message pane.

Definition at line 82 of file gtkconv.h.

## Field Documentation

## anim

GdkPixbufAnimation* _PidginImPane::anim

Definition at line 97 of file gtkconv.h.

## animate

gboolean _PidginImPane::animate

Definition at line 96 of file gtkconv.h.

## block

GtkWidget* _PidginImPane::block

Definition at line 84 of file gtkconv.h.

## check

GtkWidget* _PidginImPane::check

Definition at line 88 of file gtkconv.h.

## icon

GtkWidget* _PidginImPane::icon

Definition at line 94 of file gtkconv.h.

## icon_container

GtkWidget* _PidginImPane::icon_container

Definition at line 93 of file gtkconv.h.

## icon_timer

guint32 _PidginImPane::icon_timer

Definition at line 99 of file gtkconv.h.

## iter

GdkPixbufAnimationIter* _PidginImPane::iter

Definition at line 98 of file gtkconv.h.

## progress

GtkWidget* _PidginImPane::progress

Definition at line 89 of file gtkconv.h.

## send_file

GtkWidget* _PidginImPane::send_file

Definition at line 85 of file gtkconv.h.

## sep1

GtkWidget* _PidginImPane::sep1

Definition at line 86 of file gtkconv.h.

## sep2

GtkWidget* _PidginImPane::sep2

Definition at line 87 of file gtkconv.h.

## show_icon

gboolean _PidginImPane::show_icon

Definition at line 95 of file gtkconv.h.

## typing_timer

guint32 _PidginImPane::typing_timer

Definition at line 90 of file gtkconv.h.

The documentation for this struct was generated from the following file:

- gtkconv.h